View Issue Details

IDProjectCategoryView StatusLast Update
0002079XdebugStep Debuggingpublic2022-05-04 12:53
Reporterderick Assigned Toderick  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Target Version3.2devFixed in Version3.2dev 
Summary0002079: Add pseudo hosts xdebug://gateway and xdebug://nameserver
Description

Pseudo-hosts values for xdebug.client_host

In some cases, the value for xdebug.client_host needs to be dynamic. For example, with WSL2, on every reboot the host IP and network change, which requires an update of xdebug.client_host. There are several different scenarios. See the full list at https://docs.google.com/document/d/1W-NzNtExf5C4eOu3rRQm1WlWnbW44u3ANDDA49d3FD4/edit

TagsNo tags attached.
Operating System
PHP Version8.0.10-8.0.19

Activities

Issue History

Date Modified Username Field Change
2022-03-24 17:04 derick New Issue
2022-03-24 17:05 derick Description Updated
2022-03-24 18:33 derick Summary Add pseudo hosts xdebug/gateway and xdebug/wsl => Add pseudo hosts xdebug://gateway and xdebug://wsl-host
2022-03-24 18:33 derick Description Updated
2022-04-11 08:47 derick Status new => acknowledged
2022-05-04 12:53 derick Summary Add pseudo hosts xdebug://gateway and xdebug://wsl-host => Add pseudo hosts xdebug://gateway and xdebug://nameserver
2022-05-04 12:53 derick Description Updated
2022-05-04 12:53 derick Assigned To => derick
2022-05-04 12:53 derick Status acknowledged => closed
2022-05-04 12:53 derick Resolution open => fixed
2022-05-04 12:53 derick Fixed in Version => 3.2dev
2022-05-04 12:53 derick Note Added: 0006288